Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DefaultRepositorySelector Class Reference

Inherits RepositorySelector, and ObjectImpl.

## Public Member Functions
| DefaultRepositorySelector (const LoggerRepositoryPtr &repository1)
void | addRef () const
void | releaseRef () const
virtual LoggerRepositoryPtr & | getLoggerRepository ()
Public Member Functions inherited from RepositorySelector
virtual | ~RepositorySelector ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

DefaultRepositorySelector | ( | const LoggerRepositoryPtr & | repository1 | ) |

## Member Function Documentation

void addRef | ( |  | ) | const
| virtual

Reimplemented from ObjectImpl.

virtual LoggerRepositoryPtr& getLoggerRepository | ( |  | ) |
| virtual

Implements RepositorySelector.

void releaseRef | ( |  | ) | const
| virtual

Reimplemented from ObjectImpl.

The documentation for this class was generated from the following file:

- defaultrepositoryselector.h